@openid/appauth

v1.3.0

A general purpose OAuth client.

Apache-2.0
Latest version published about 2 months ago
    npm install @openid/appauth
  
We couldn't find any similar packages Browse all packages

Package Health Score

75 / 100
  • Popularity
    Recognized
  • Maintenance
    Healthy
  • Security
    No known security issues
  • Community
    Sustainable

Popularity

Recognized
Weekly Downloads (23,084)
Dependents
25
GitHub Stars
575
Forks
100
Contributors
8

The npm package @openid/appauth receives a total of 23,084 downloads a week. As such, we scored @openid/appauth popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package @openid/appauth, we found that it has been starred 575 times, and that 25 other projects on the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues

Security and license risk for recent versions


Direct Vulnerabilities

1.2.5
1.2.6
1.2.7
1.2.8
1.3.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

1.2.5
1.2.6
1.2.7
1.2.8
1.3.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

1.2.5
1.2.6
1.2.7
1.2.8
1.3.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Security Policy
No
All security vulnerabilities belong to production dependencies of direct and indirect packages.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like @openid/appauth is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test @openid/appauth
Fix it in your project with Snyk!

Maintenance

Healthy
Commit Frequency
Open Issues
17
Merged PR
54
Open PR
2
Last Commit
2 months ago

Further analysis of the maintenance status of @openid/appauth based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @openid/appauth demonstrates a positive version release cadence with at least one new version released in the past 3 months.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
8
Funding
No
License
Apache-2.0

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like @openid/appauth is missing a Code of Conduct.

Package

Node.js Compatibility
not defined

Age
3 years
Dependencies
6 Direct / 12 Total
Versions
5
Install Size
521 kB
Dist-tags
1
# of Files
109
Maintainers
3
TS Typings
No

We detected a total of 12 direct & transitive dependencies for @openid/appauth. See the full dependency tree of @openid/appauth

@openid/appauth has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.